%define module dtopt

Name:           python-%{module}
Version:        0.1
Release:        %mkrel 10
Summary:        Add options to doctest examples while they are running
Group:          Development/Python
License:        MIT License
URL:            http://pypi.python.org/pypi/dtopt
Source0:        https://pypi.python.org/packages/source/d/dtopt/%{module}-%{version}.tar.gz
Patch0:         python-dtopt-0.1-mga-fix-python3-compatibility.patch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildArch:      noarch

%description
When using the doctest module it is often convenient to use the ELLIPSIS option,
which allows you to use ... as a wildcard. But you either have to setup the test
runner to use this option, or you must put #doctest: +ELLIPSIS on every example
that uses this feature.

%files
%doc docs/
%{python2_sitelib}/*

#--------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Add options to doctest examples while they are running
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
When using the doctest module it is often convenient to use the ELLIPSIS option,
which allows you to use ... as a wildcard. But you either have to setup the test
runner to use this option, or you must put #doctest: +ELLIPSIS on every example
that uses this feature.

This is the Python 3 version of the package.

%files -n python3-%{module}
%doc docs/
%{python3_sitelib}/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%changelog
* Tue Feb 02 2016 daviddavid <daviddavid> 0.1-10.mga6
+ Revision: 931515
- add python3 package
- add patch0 to fix python3 compatibility
- use new python macros

* Tue Feb 02 2016 umeabot <umeabot> 0.1-9.mga6
+ Revision: 931103
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 739343
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-7.mga5
+ Revision: 728378
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 688010
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1-4.mga4
+ Revision: 543381
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1-3.mga4
+ Revision: 498450
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.1-2.mga3
+ Revision: 378766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.1-1.mga3
+ Revision: 313508
- imported package python-dtopt


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.1-1mdv2011.0
+ Revision: 683246
- import python-dtopt


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.1
- first release for Mandriva 

